Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227085 - Review Request: maven-wagon-1.0-0.a5.3jpp - Maven Wagon
Summary: Review Request: maven-wagon-1.0-0.a5.3jpp - Maven Wagon
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tania Bento
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:46 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 17:52:44 UTC
tbento: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:46:25 UTC
Spec URL: http://people.redhat.com/rafaels/specs/maven-wagon-1.0-0.a5.3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/maven-wagon-1.0-0.a5.3jpp.src.rpm
Description: Maven Wagon is a transport abstraction that is used in Maven's
artifact and repository handling code. Currently wagon has the
following providers:
* File
* HTTP
* FTP
* SSH/SCP
* WebDAV (in progress)

Javadoc for maven-wagon.

Documents for maven-wagon.

Comment 3 Tania Bento 2007-03-14 15:50:08 UTC
MUST:
* package is named appropriately
 - match upstream tarball or project name
 OK

 - try to match previous incarnations in other distributions/packagers for
consistency
 OK

 - specfile should be %{name}.spec
 OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
 OK

* is it legal for Fedora to distribute this?
 - OSI-approved
 OK (see below)

 - not a kernel module
 OK

 - not shareware
 OK

 - is it covered by patents?
 OK

 - it *probably* shouldn't be an emulator
 OK

 - no binary firmware
 OK

* license field matches the actual license.
 OK

* license is open source-compatible.
 - use acronyms for licences where common
 OK

* specfile name matches %{name}
 OK

X verify source and patches (md5sum matches upstream, know what the patches do)
  - if upstream doesn't release source drops, put *clear* instructions on
    how to generate the the source drop; ie. 
   # svn export blah/tag blah
   # tar cjf blah-version-src.tar.bz2 blah

 The md5sum do not match.  When I do a diff, I get the following:
  diff -r
wagon-1.0-alpha-5/wagon-provider-api/src/main/java/org/apache/maven/wagon/util/IoUtils.java
../upstream/wagon-1.0-alpha-5/wagon-provider-api/src/main/java/org/apache/maven/wagon/util/IoUtils.java
80c80
<  * @version CVS $Revision: 290775 $ $Date: 2005-09-21 20:25:08 +0200 (Wed, 21
Sep 2005) $
---
>  * @version CVS $Revision: 290775 $ $Date: 2005-09-21 14:25:08 -0400 (Wed, 21
Sep 2005) $

 I think this is okay.
   
X skim the summary and description for typos, etc.
 Summary should be "Tools to manage artifacts and deployment".

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  OK

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
 OK

X license text included in package and marked with %doc
 There is no license text included in package, so this is OK.

* keep old changelog entries; use judgement when removing (too old?
useless?)
 OK

* packages meets FHS (http://www.pathname.com/fhs/)
 OK

X * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
 W: maven-jxr non-standard-group Development/Java
 W: maven-jxr non-standard-group Development/Java
 Both of these warnings can be ignored.

* changelog should be in one of these formats:
 OK

* Packager tag should not be used
 OK

* Vendor tag should not be used
 OK

* Distribution tag should not be used
 OK

* use License and not Copyright 
 OK

* Summary tag should not end in a period
 OK

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
 OK

* specfile is legible
 - this is largely subjective; use your judgement
 OK

* package successfully compiles and builds on at least x86
 OK 

* BuildRequires are proper
  - builds in mock will flush out problems here
 OK

* summary should be a short and concise description of the package
 OK. 

* description expands upon summary (don't include installation
  instructions)
 OK
  
X make sure lines are <= 80 characters
 OK (only code lines are > 80)
 There are some lines with more than 80 characters, but they are code lines and
   rpmlint did not complain about them, so this is OK.
* specfile written in American English
 OK

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
 OK

* packages including libraries should exclude static libraries if possible
 OK

* don't use rpath
 OK

* config files should usually be marked with %config(noreplace)
 OK

* GUI apps should contain .desktop files
 OK

* should the package contain a -devel sub-package?
 OK

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
 OK

* don't use %makeinstall
 OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
 OK

* consider using cp -p to preserve timestamps
 OK

* split Requires(pre,post) into two separate lines
 OK

* package should probably not be relocatable
 OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
 OK

* package should own all directories and files
 OK

* there should be no %files duplicates
 OK

* file permissions should be okay; %defattrs should be present
 OK

* %clean should be present
 OK

* %doc files should not affect runtime
 OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
 OK

* verify the final provides and requires of the binary RPMs
 OK (see additional notes)

* run rpmlint on the binary RPMs
 OK

SHOULD:
* package should include license text in the package and mark it with %doc
 OK (See above)

* package should build on i386
 OK 

* package should build in mock
 OK 

Other Notes:
- Removed "%define section free".
- Should gcj support be added?


Comment 4 Matt Wringe 2007-03-14 17:44:08 UTC
(In reply to comment #3)
> ...
> X verify source and patches (md5sum matches upstream, know what the patches do)
>   - if upstream doesn't release source drops, put *clear* instructions on
>     how to generate the the source drop; ie. 
>    # svn export blah/tag blah
>    # tar cjf blah-version-src.tar.bz2 blah
> 
>  The md5sum do not match.  When I do a diff, I get the following:
>   diff -r
>
wagon-1.0-alpha-5/wagon-provider-api/src/main/java/org/apache/maven/wagon/util/IoUtils.java
>
../upstream/wagon-1.0-alpha-5/wagon-provider-api/src/main/java/org/apache/maven/wagon/util/IoUtils.java
> 80c80
> <  * @version CVS $Revision: 290775 $ $Date: 2005-09-21 20:25:08 +0200 (Wed, 21
> Sep 2005) $
> ---
> >  * @version CVS $Revision: 290775 $ $Date: 2005-09-21 14:25:08 -0400 (Wed, 21
> Sep 2005) $
> 
>  I think this is okay.
Hmm, interesting, I just did another source export so this should not be an
issue anymore
    
> X skim the summary and description for typos, etc.
>  Summary should be "Tools to manage artifacts and deployment".
> 
> * correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
>   OK
> 
> * if %{?dist} is used, it should be in that form (note the ? and %
> locations)
>  OK
> 
> X license text included in package and marked with %doc
>  There is no license text included in package, so this is OK.
> 
> * keep old changelog entries; use judgement when removing (too old?
> useless?)
>  OK
> 
> * packages meets FHS (http://www.pathname.com/fhs/)
>  OK
> 
> X * rpmlint on <this package>.srpm gives no output
>  - justify warnings if you think they shouldn't be there
>  W: maven-jxr non-standard-group Development/Java
>  W: maven-jxr non-standard-group Development/Java
>  Both of these warnings can be ignored.
> 
> 
> ...  
> X make sure lines are <= 80 characters
>  OK (only code lines are > 80)
>  There are some lines with more than 80 characters, but they are code lines and
>    rpmlint did not complain about them, so this is OK.
The 80 character length restriction only applies to the description.

> 
> ...
> Other Notes:
> - Removed "%define section free".
removed

> - Should gcj support be added?
since this package will be updated at a later date to support a maven2 build, I
would suggest adding the gcj support aot bits at that time. 

New Files:
https://mwringe.108.redhat.com/files/documents/175/301/maven-wagon.spec
https://mwringe.108.redhat.com/files/documents/175/302/maven-wagon-1.0-0.1.a5.3jpp.1.src.rpm

Comment 5 Tania Bento 2007-03-14 18:21:41 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > ...
> > X verify source and patches (md5sum matches upstream, know what the patches do)
> >   - if upstream doesn't release source drops, put *clear* instructions on
> >     how to generate the the source drop; ie. 
> >    # svn export blah/tag blah
> >    # tar cjf blah-version-src.tar.bz2 blah
> > 
> >  The md5sum do not match.  When I do a diff, I get the following:
> >   diff -r
> >
>
wagon-1.0-alpha-5/wagon-provider-api/src/main/java/org/apache/maven/wagon/util/IoUtils.java
> >
>
../upstream/wagon-1.0-alpha-5/wagon-provider-api/src/main/java/org/apache/maven/wagon/util/IoUtils.java
> > 80c80
> > <  * @version CVS $Revision: 290775 $ $Date: 2005-09-21 20:25:08 +0200 (Wed, 21
> > Sep 2005) $
> > ---
> > >  * @version CVS $Revision: 290775 $ $Date: 2005-09-21 14:25:08 -0400 (Wed, 21
> > Sep 2005) $
> > 
> >  I think this is okay.
> Hmm, interesting, I just did another source export so this should not be an
> issue anymore.

Looks good.
     
> > X skim the summary and description for typos, etc.
> >  Summary should be "Tools to manage artifacts and deployment".

Looks good.

> > - Should gcj support be added?
> since this package will be updated at a later date to support a maven2 build, I
> would suggest adding the gcj support aot bits at that time. 

Sure.  Sounds good.

I've built it on mock with no problems.


Comment 6 Tania Bento 2007-03-14 18:22:26 UTC
Approved.

Comment 7 Matt Wringe 2007-03-14 18:27:05 UTC
New Package CVS Request
=======================
Package Name: maven-wagon
Short Description: Tools to manage artifacts and deployment
Owners: mwringe@redhat.com
Branches: devel
InitialCC:


Note You need to log in before you can comment on or make changes to this bug.